import { post } from "@/utils/request";
const types = ["company_type", "examine_status"];
export const getDict = async () => {
  const arr = await Promise.all(
    types.map(dictType =>
      post<{ list: IAny[] }>("/common/dict", {
        dictType
      })
    )
  );
  const data: IDicts = {};
  types.map((k, i) => {
    const [err, { list = [] }] = arr[i];
    if (err) return;
    data[k] = list.map(
      (x: any) =>
        ({
          key: x.dictLabel,
          value: x.dictValue
        } as IDict)
    );
  });
  return data;
};
